On July 22, 2017 Salesforce will be enforcing disablement of TLS 1.0. This change is being made in order to align with industry best practices for security and data integrity. TLS stands for “Transport Layer Security.” It is a protocol that provides privacy and data integrity between two communicating applications. It’s the most widely deployed security protocol used today, and is used for web browsers and other applications that require data to be securely exchanged over a network.

Customers accessing the support portal after March 2018 will need to have TLS 1.1 or later enabled in their browser settings in order to access the support portal. If you are using the latest version of your browser you are likely to already meet this security standard. To test if you computer meets the new security standard, click here

Browser Compatibility:

  • Desktop and mobile IE version 11 is compatible with TLS 1.1 or higher by default.
  • Desktop IE versions 8,9, & 10 are compatible only when running Windows 7 or newer, but not by default.
  • Desktop IE versions 7 and below are not compatible with TLS 1.1 or higher.
  • Mobile IE versions 10 and below are not compatible with TLS 1.1 or higher.
  • Microsoft Edge and Google Chrome are compatible by default.

For information on how to update your TLS settings in IE, please see Updating your TLS to 1.1 or higher.

Did this answer your question?